GRAPHLAN(1)

NAME
graphlan - circular representations of taxonomic and phylogenetic trees

SYNOPSIS
graphlan [-h] [--format ['output_image_format']] [--warnings WARNINGS] [--positions POSITIONS] [--dpi image_dpi] [--size image_size] [--pad pad_in] [--external_legends] [-v] input_tree output_image

DESCRIPTION
GraPhlAn is a software tool for producing high-quality circular representations of taxonomic and phylogenetic trees. It focuses on concise, integrative, informative, and publication-ready representations of phylogenetically- and taxonomically-driven investigation.

OPTIONS

  positional arguments:

input_tree
    the input tree in PhyloXML format

output_image
    the output image, the format is guessed from the extension unless --format is given. Available file formats are: png, pdf, ps, eps, svg

  optional arguments:

-h, --help
    show this help message and exit

--format ['output_image_format']
    set the format of the output image (default none meaning that the format is guessed from the output file extension)

--warnings WARNINGS
    set whether warning messages should be reported or not (default 1)

--positions POSITIONS
    set whether the absolute position of the points should be reported on the standard output. The two cohordinates are r and theta

--dpi image_dpi
    the dpi of the output image for non vectorial formats

--size image_size
    the size of the output image (in inches, default 7.0)

--pad pad_in
    the distance between the most external graphical element and the border of the image

--external_legends
    specify whether the two external legends should be put in separate file or keep them along with the image (default behavior)

-v, --version
    Prints the current GraPhlAn version and exit

AUTHOR
The software was written by Nicola Segata <nsegata@hsph.harvard.edu>

This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.